org.optaplanner.core.impl.localsearch.event

## Class LocalSearchPhaseLifecycleListenerAdapter<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter<Solution_>
  - - org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation
  All Implemented Interfaces:
    EventListener, LocalSearchPhaseLifecycleListener<Solution_>, SolverLifecycleListener<Solution_>
  Direct Known Subclasses:
    AbstractAcceptor, AbstractFinalistPodium, AbstractLocalSearchForager

      public abstract class LocalSearchPhaseLifecycleListenerAdapter<Solution_>
      extends SolverLifecycleListenerAdapter<Solution_>
      implements LocalSearchPhaseLifecycleListener<Solution_>

  An adapter for `LocalSearchPhaseLifecycleListener`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSearchPhaseLifecycleListenerAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `phaseEnded(LocalSearchPhaseScope<Solution_> phaseScope)`
    `void` | `phaseStarted(LocalSearchPhaseScope<Solution_> phaseScope)`
    `void` | `stepEnded(LocalSearchStepScope<Solution_> stepScope)`
    `void` | `stepStarted(LocalSearchStepScope<Solution_> stepScope)`

    - ### Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter

      `solvingEnded, solvingStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Constructor Detail

    - #### LocalSearchPhaseLifecycleListenerAdapter

          public LocalSearchPhaseLifecycleListenerAdapter()

  - ### Method Detail

    - #### phaseStarted

          public void phaseStarted(LocalSearchPhaseScope<Solution_> phaseScope)

      Specified by:
        `phaseStarted` in interface `LocalSearchPhaseLifecycleListener<Solution_>`

    - #### stepStarted

          public void stepStarted(LocalSearchStepScope<Solution_> stepScope)

      Specified by:
        `stepStarted` in interface `LocalSearchPhaseLifecycleListener<Solution_>`

    - #### stepEnded

          public void stepEnded(LocalSearchStepScope<Solution_> stepScope)

      Specified by:
        `stepEnded` in interface `LocalSearchPhaseLifecycleListener<Solution_>`

    - #### phaseEnded

          public void phaseEnded(LocalSearchPhaseScope<Solution_> phaseScope)

      Specified by:
        `phaseEnded` in interface `LocalSearchPhaseLifecycleListener<Solution_>`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.